{% set sysma_object_id = O.id %}
{% include('sysma-object/sysmaObjectBackButton.twig') %}

<h2>Correction de l'objet {{ O.id }} {{ O.sysma_object|raw }} </h2>
<p>Attention les données seront corrigées, les anciennes données seront écrasées.</p>
{# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
<form method="post" id="form{{ sysma_object_id }}" action='#'>

    <div class='form-group'>
        <label>Nom de l'objet</label>
        <input name="valueO{{ O.id }}PObjectName" value="{{O.sysma_object|raw}}" class="form-control" maxlength="255" />        
    </div>

    <div class='form-group'>
        <label>Statut</label>
        <select  name="valueO{{ O.id }}PStatus" class="form-control">
            {% for S in tabStatuts %}            
                <option value="{{S.status_value}}"
                        {% if O.Status.status_value == S.status_value %} selected {% endif %}   
                        >
                    {{S.status}} - {{S.description}}</option>
                {% endfor %}
        </select>
    </div>

    <div class='form-group'>
        <label>Date de création (ou d'installation)</label>
        <input  data-toggle="tooltip" data-placement="bottom" title="Date d'installation de l'objet sur le terrain pour un objet artificiel ou bien 0 dans le cas d'un élément naturel présent depuis une date indéterminée."  name="valueO{{ O.id }}PStartDate" id="dateCreation" value="{{O.start_date}}" class="form-control" onchange="checkDate('dateCreation', 'dateCreationComment', 'boutonModifierObjet', 'end_date');" />        
        <div id="dateCreationComment"></div>
    </div>

    <div class='form-group'>
        <label>Date de fin (ou de suppression, disparition)</label>
        <input  data-toggle="tooltip" data-placement="bottom" title="0 si l'objet existe encore (l'objet n'a pas de date de fin). Si l'objet a été supprimé, la date de fin est celle de sa suppression"  name="valueO{{ O.id }}PEndDate" id="end_date" value="{{O.end_date}}" onchange="checkDate('end_date', 'end_dateComment', 'boutonModifierObjet', 'dateCreation');" class="form-control"/>        
        <div id="end_dateComment"></div>
    </div>  


    <div class='form-group'>
        <label>Structure</label>
        <select  name="valueO{{ O.id }}POrganisation" class="form-control">
            {% for S in taborganisation %}   

                {% if [app.session.get('user_id'),S.organisation_id,O.sysma_object_type_id,'tous',null,null,null,'contributeur']|hasAccess %}
                    <option value="{{S.organisation_id}}"
                            {% if O.organisation_id == S.organisation_id %} selected {% endif %}   
                            >
                        {{S.organisation|raw}}</option>
                    {% endif %}
                {% endfor %}
        </select>
    </div>


    <button  id="boutonModifierObjet"  class="btn btn-xs btn-primary" 
             onclick="sendFormAndRedirect('form{{ sysma_object_id }}', '{{url('object-modify-commit')}}', 'id={{sysma_object_id}}', '{{url('object')}}', 'objet', event);">
        Corriger</button>

    <input type="hidden" name="sysma_object_type_id" value="{{ O.sysma_object_type_id }}" />
    <input type="hidden" name="sysma_object_id" value="{{ O.id }}" /> 
    <input type="hidden" name="parameterObjectName" value="1" /> 
    <input type="hidden" name="parameterStatus" value="1" /> 
    <input type="hidden" name="parameterStartDate" value="1" /> 
    <input type="hidden" name="parameterEndDate" value="1" /> 
    <input type="hidden" name="parameterOrganisation" value="1" /> 




</form>
{% if O.geometry_type != 'no_geom' %}
    <h2>Correction du tracé</h2>
    <p>Assurez-vous d'afficher la couche des objets (et non les couches actions) avant de modifier le tracé d'un objet.</p>
    <p>Cliquez sur le bouton "Commencer la modification" ci-dessous, puis déplacez les points du tracé de l'objet. Vous pouvez prolonger l'objet avec Ctrl+clic sur le premier ou dernier point. Une fois terminé, cliquez sur "Terminer le tracé".</p>
    <button id='o{{O.id}}GeoEditButton' href="#" onclick="$('.o{{O.id}}GeoEditButtons').css('display', 'inline');$('#o{{O.id}}GeoEditButton').css('display', 'none');loadFeature('o{{O.id}}', '{{O.geometry_type}}');" 
            class="btn btn-xs btn-primary"><span class="glyphicon glyphicon-move"></span> Commencer la modification du tracé</button>

    <div class='{{'o'~O.id}}GeoEditButtons' style='display:none;'>
        <button  id='o{{O.id}}GeoSaveButton' href="#" onclick="saveFeature('o{{O.id}}', '{{O.geometry_type}}');" class="btn btn-xs btn-success">Terminer le tracé</button>
        ou
        <button  id='o{{O.id}}GeoCancelButton' href="#" onclick="cancelGeoEditFeature('o{{O.id}}', '{{O.sysma_object_type_id}}');$('.o{{O.id}}GeoEditButtons').css('display', 'none');$('#o{{O.id}}GeoEditButton').css('display', 'inline');" class="btn btn-xs btn-default">Annuler</button>
    </div>
{% endif %}

{% if 
(
    [app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, null, null, null, 'gestionnaire']|hasAccess
)
%}

<h2 class='text-danger'>Suppression de l'objet</h2>


<form method="post" action="{{ url('object-delete') }}">
    <input type="submit" id="boutonSupprimersysma_object" value="Supprimer" class="btn btn-xs btn-danger"
           onclick="if (!confirm('Voulez-vous supprimer cet objet ? Les données de l\'objet et ses fiches actions seront supprimées.'))
                       return false;">
    <input type="hidden" value="supprimer-sysma_object" name="action" />
    <input type="hidden" value="{{O.id}}" name="sysma_object_id" />
</form>

{% endif %}

    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
